package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseResource;
import com.chenyang.nse.bussiness.entity.vo.ComboboxVO;
import com.chenyang.nse.bussiness.entity.vo.MenuGridVO;
import com.chenyang.nse.bussiness.entity.vo.ResourcesVO;
import java.util.List;

public interface ResourceService {
   List<ResourcesVO> queryAll();

   List<MenuGridVO> queryMenuGrid();

   List<MenuGridVO> queryMenuGridByFlag(String flag);

   List<ComboboxVO> queryMenuNames();

   void addResource(TBaseResource resources, String menuid);

   List<ComboboxVO> querySubMenuNames();

   List<ComboboxVO> querySubMenuNamesByParentId(String parentid);

   void remove(List<String> idlist);
}
